Longfellow ZK 0290cb32

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Data Fields
proofs::LigeroProof< Field > Struct Template Reference
Collaboration diagram for proofs::LigeroProof< Field >:
[legend]

## Public Types
using | Elt = typename Field::Elt

## Public Member Functions
| LigeroProof (const LigeroParam< Field > *p)
Elt & | req_at (size_t i, size_t j)
const Elt & | req_at (size_t i, size_t j) const

## Data Fields
size_t | block
size_t | dblock
size_t | r
size_t | block_enc
size_t | nrow
size_t | nreq
size_t | mc_pathlen
std::vector< Elt > | y_ldt
std::vector< Elt > | y_dot
std::vector< Elt > | y_quad_0
std::vector< Elt > | y_quad_2
std::vector< Elt > | req
MerkleProof | merkle

The documentation for this struct was generated from the following file:

- lib/ligero/ligero_param.h